Package groovy.transform

# Interface CompilationUnitAware

All Known Implementing Classes:
  `BuilderASTTransformation`, `DelegatingCustomizer`, `GrabAnnotationTransformation`, `ImmutableASTTransformation`, `LogASTTransformation`, `MacroTransformation`, `MapConstructorASTTransformation`, `RecordTypeASTTransformation`, `SourceAwareCustomizer`, `StaticCompileTransformation`, `StaticTypesTransformation`, `TraitASTTransformation`, `TupleConstructorASTTransformation`

public interface CompilationUnitAware
This interface is for AST transformations which must be aware of the compilation unit where they are applied.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setCompilationUnit(CompilationUnit unit)`

- ## Method Details

  - ### setCompilationUnit

    void setCompilationUnit(CompilationUnit unit)